Сайт | Скачать | Видео | Wiki

Автор Тема: LFD10 x86_64  (Прочитано 3051 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 2330
  • Репутация: +82/-1
Re: LFD10 x86_64
« Ответ #60 : 02 Ноябрь 2019, 12:48:54 »
В iso в optional/kernel.

Оффлайн ШАМАНЯ

  • Постоялец
  • ***
  • Сообщений: 165
  • Репутация: +5/-0
Re: LFD10 x86_64
« Ответ #61 : 02 Ноябрь 2019, 13:13:52 »


чтобы он был меньше  - надо сделать другой модуль из базы  debian - будет меньше  9 Мб,  версия 0.12 не требует  qt4
требует

Broadcom в папке  optional мешать точно не будет
Не будет, но догадаться как его применить не все осилят

про   разные DE, браузеры и  firmware новичок узнает, когда запустит netsurf и увидет стартовую страницу с текстом :
если не работает wifi фирмы  broadcom, то вот он в папке optional
переместите его в папку  modules и перезагрузите ос или добавьте broadcom в параметры загрузки, в строку там где load:
 load=broadcom

эта страница будет в исо и доступна без инета
все DE - 45Мб , если исо будет 650 Мб или больше, пусть будут :(
FBReader 0.12  в мими пришла из  puppy  - она работает без  qt4  и в убунту тоже без  qt4,  тогда оттуда взять можно
а 9 Мб показывает, если набрать  apt install fbreader -  будет загружено 9Мб, надо ещё раз посмотреть если ли там qt4, может в реп. дебиана версия 0.99

32-бит пакет xombrero-1.6.4  собранный из реп арч в старой пра1501  потянул библиотек на 31 Мб, но не запустился в пра15 и 16 :(
в мими запустился, но ютуб не показывает - пишет , что не может  html5 , также как и опера 12, значит не надо его.


smplayer только оболочка к mpv - ничего кроме удобства не дает. питон и  youtube-dl нужны

Сейчас  у нас свежий  SMPlayer 19.10  и  mpv-0.30  и в  SMPlayer можно в настройках указать  Youtube и смотреть
БЕЗ питона и  youtube-dl!!!
потом гугл опять поменяет ютуб и тогда будет нельзя :(
и в настройках надо будет выбрать  mpv+youtube-dl ,подключить его вместе с питоном и смотреть через них, пока снова не выйдет обновление к ним

вот же ответ рядом!


Mpv проигрывает ютуб только при наличии youtube-dl+python. У smtube/smplayer свой код для этих целей, но они не всегда поспевают за изменениями ютуба.


лучше сделать несколько страниц,
Не думаю. Там и так сложно . Там упрощать надо (не знаю как)

тогда другой вариант - сделать страницы меню по мощности компов
из главной страницы меню переходим на  menu2.lst
в нем верхняя строка
Загрузить с рабочими столами  jwm,icewm для ретро-компьютеров с памятью 1 Гб и меньше
и переход на файл  m1
в нем несколько вариантнов с загрузкой с мин. модулей и без copy2ram  тоже строка
внизу строка - возврат на menu2.lst
в menu2.lst вторая строка - заголовок разделитель
"Загрузить с рабочими столами  LXDE , XFCE-light и программы gtk2,qt4 для старых компьютеров с памятью от 1-2 Гб"
ниже варианты загрузки с  copy2ram
в самом внизу строка
"Загрузить с рабочими столами  lxqt , XFCE и программы gtk3,qt5 для слабых компьютеров с памятью от 2-4 Гб  и 2-х ядерным  CPU
по ней переход на файл m3

В  m3  также вверху строка - возврат на menu2.lst с названием
варианты загрузки и внизу переход на последний вариант файл  m4 для современных компьютеров  с памятью больше 4 Гб и 4-х ядерный  CPU
В нём загрузка  стола MATE и вообще всех программ из optional GTK3 и  QT5 в память
внизу строка перехода на главное меню
« Последнее редактирование: 02 Ноябрь 2019, 13:49:44 от ШАМАНЯ »

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 27383
  • Репутация: +186/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #62 : 03 Ноябрь 2019, 10:43:15 »
увидет стартовую страницу с текстом :
Попробуйте сделать такую страницу - по итогу решим

FBReader 0.12  в мими пришла из  puppy  - она работает без  qt4  и в убунту тоже без  qt4,
https://packages.ubuntu.com/disco/fbreader

SMPlayer 19.10  и  mpv-0.30  и в  SMPlayer можно в настройках указать  Youtube и смотреть
БЕЗ питона и  youtube-dl!!!
Не знал. Это точно? У всех работает?

сделать страницы меню по мощности компов
Это все будет очень условно. Достаточно, что ДЕ идут по возрастанию ресурсопотребления. Проще попробовать и выбрать самому
В менб и так сложно. Это еще усложнит и запутает

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 2330
  • Репутация: +82/-1
Re: LFD10 x86_64
« Ответ #63 : 03 Ноябрь 2019, 11:41:15 »
Не знал. Это точно? У всех работает?
Вообще-то это известная истина. На страницах форума уже не однократно говорилось, что у них свой код для просмотра ютуба. А видео выводится через сторонние приложения.

Я так просматривал ютуб еще в давние-давние времена, на этапе своего вхождения в PRA. Тогда еще не использовался youtube-dl, т.к. он требовал python, а это плохо-плохо и не отвечало духу маленькой сборки.  :)
 Запускал в smplayer через mpv и пользовался этой связкой длительное время, пока ютуб всех не победил и все поломал в очередной раз.

В этоге перешел на youtube-dl+mpv, привык и теперь лучшего и нет для меня. Немного даже пропагандировал на страницах форума такой способ просмотра ютуба. )
« Последнее редактирование: 03 Ноябрь 2019, 12:04:40 от krasnyh »

Оффлайн ШАМАНЯ

  • Постоялец
  • ***
  • Сообщений: 165
  • Репутация: +5/-0
Re: LFD10 x86_64
« Ответ #64 : 04 Ноябрь 2019, 21:15:49 »

FBReader 0.12  в мими пришла из  puppy  - она работает без  qt4  и в убунту тоже без  qt4,
https://packages.ubuntu.com/disco/fbreader

в новой убунту переделали, по вашей ссылке там только один зависимый пакет от  qt4
 libzlui-qt4  весит всего 70 Кб, можно брать :) это же не полный  lib-qt4
а в пуппи древний  FBReader 0.12 от апреля 2010 весит 1,7 Мб
он собран для  gtk, в нём  zlui-gtk.so  весит 200 Кб.

Надо ещё в исо добавить abiword и gnumeric
вот же есть
http://mirror.yandex.ru/puppyrus/puppyrus-a64/pfs-portable-test/abiword-minimal-p-3.0.1_64-sf01.pfs
и хромиум-подобный браузер, есть  slimjet 15
http://mirror.yandex.ru/puppyrus/puppyrus-a64/pfs-portable/slimjet_p-15.1.5_64-al01.pfs

вот ещё надо потестить SRWare Iron Browser , тоже хромиум-подобный, но без ненужных "гуглостей"
https://www.srware.net/iron/
« Последнее редактирование: 04 Ноябрь 2019, 22:29:57 от ШАМАНЯ »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 2330
  • Репутация: +82/-1
Re: LFD10 x86_64
« Ответ #65 : 04 Ноябрь 2019, 22:31:38 »
И ещё бы в исо разместить копию  wiki в отдельной папке  help, чтобы можно было всё прочитать , если не завёлся инет через  wifi , например, или про редактирование пунктов загрузчика. Если нет инета, как  wiki с форума прочесть?
Сейчас читаю в Magos справку через браузер file://usr/share/magos/doc/magos-wiki.html#Главная страница. И понимаю, что идея в принципе неплохая, держать некоторые страницы вики в iso.

Во всяком случае будет чем заняться пользователю, когда wifi не стартанет.  :)
« Последнее редактирование: 04 Ноябрь 2019, 23:26:00 от krasnyh »

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 27383
  • Репутация: +186/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #66 : 05 Ноябрь 2019, 09:36:36 »
в пуппи древний  FBReader 0.12 от апреля 2010 весит 1,7 Мб
он собран для  gtk
гтк2? Это интереснее. Можете сделать портированный модуль?

в исо добавить abiword и gnumeric
Кто-то еще пользуется?

хромиум-подобный браузер
Не хочется только из-за него включать в исо nss
Есть еще желающие хрома в исо?

читаю в Magos справку через браузер file://usr/share/magos/doc/magos-wiki.html#Главная страница. И понимаю, что идея в принципе неплохая, держать некоторые страницы вики в iso.
Попробуйте сделать такую страницу - по итогу решим
« Последнее редактирование: 05 Ноябрь 2019, 09:39:20 от sfs »

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 27383
  • Репутация: +186/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #67 : 05 Ноябрь 2019, 09:49:37 »
030-qt5-5.11.3-d10-sf06.pfs еще добавил либ как в пра6408

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 2330
  • Репутация: +82/-1
Re: LFD10 x86_64
« Ответ #68 : 05 Ноябрь 2019, 23:15:54 »
Лучшее на мой взгляд, это стандартные страницы из вики. Не надо для iso готовить что-то отдельное. Чтобы в случае изменений они просто синхронизировались.

Как вариант, на пробу, добавить эти страницы http://wiki.puppyrus.org/users/sewar/start (без ссылок на видео). Открываться они должны будут офлайн через netsurf.

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 27383
  • Репутация: +186/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #69 : 06 Ноябрь 2019, 09:06:23 »
Боюсь, что эти статьи надо бы хорошо поправить. Пра03 уже не поддерживается и вообще с тех пор много изменений. Интернетовскую бы вики подправить, а не тиражировать устаревшее
Нет героев, готовых заняться вики?
Сам пока никак не могу расхлебать двойной дистр 64 бит

Оффлайн ШАМАНЯ

  • Постоялец
  • ***
  • Сообщений: 165
  • Репутация: +5/-0
Re: LFD10 x86_64
« Ответ #70 : 07 Ноябрь 2019, 13:36:16 »
Хром, опера, вивальди и яндекс-браузер в исо не нужно, пусть в  реп.
slimjet 15  оптимизирован для слабых (не ретро) компов. Его лучше вместо  vasilisk(потому-что vasilisk тормозит).
Зачем два firefox-подобных браузера в исо?
Пусть будет  palemoon и  slimjet. И нетсёрф тоже.
 А Iron64.deb у меня не получилось установить. 
При загрузке с пунктом  OLS на первый взгляд рабочий стол вроде работает.
Модуль FBReader 0.12-gtk  от пуппи здесь не запускается, он 32 бит.
Тогда в исо только  CoolReader  :(
« Последнее редактирование: 07 Ноябрь 2019, 13:39:51 от ШАМАНЯ »

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 27383
  • Репутация: +186/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #71 : 07 Ноябрь 2019, 13:46:45 »
Зачем два firefox-подобных браузера в исо?
1. Чтобы не тащить в исо nss
2. Хромоклоны и так все знают и найдут, их много
slimjet 15  оптимизирован для слабых
Это инфа по личному опыту? Какое железо?

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 27383
  • Репутация: +186/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #72 : 14 Ноябрь 2019, 11:05:20 »

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 27383
  • Репутация: +186/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #73 : 18 Ноябрь 2019, 10:16:13 »
001-d10-sf19.pfs объединил с 070, добавил libthai pppd
070-d10-sf11.pfs - пустышка, для тех кто автообновляется не читая форум. Т.е. просто удалить все 070
« Последнее редактирование: 18 Ноябрь 2019, 10:19:45 от sfs »